<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Build a Technical Documentation Page</title>
  <link href="https://fonts.googleapis.com/css?family=Fira+Mono|PT+Sans:400,700&display=swap" rel="stylesheet">
  <link rel="stylesheet" href="grid.css">
  <link rel="stylesheet" href="style.css">
  <script src="./functions.js" defer></script>
  <script src="https://cdn.freecodecamp.org/testable-projects-fcc/v1/bundle.js" defer></script>
</head>
<body>
  <nav id="navbar" class="navbar">
    <header>
      <h1>HTML elements reference</h1>
    </header>
    <ul class="nav-links">
      <li><a href="#Main_root" class="nav-link">Main root</a></li>
      <li><a href="#Document_metadata" class="nav-link">Document metadata</a></li>
      <li><a href="#Sectioning_root" class="nav-link">Sectioning root</a></li>
      <li><a href="#Content_sectioning" class="nav-link">Content sectioning</a></li>
      <li><a href="#Image_and_multimedia" class="nav-link">Image and multimedia</a></li>
    </ul>
  </nav>
  <main id="main-doc" class="main_content">
    <section id="Main_root" class="main-section">
      <header>
        <h2>Main root</h2>
      </header>
      <article>
        <ul class="elements">
          <li class="element">
            <div class="element__code">
                <code>&lt;html&gt;</code>
            </div>
            <div class="element__description">
              <p>The <strong>HTML <code>&lt;html&gt;</code> element</strong> represents the root (top-level element) of an HTML document, so it is also referred to as the root element. All other elements must be descendants of this element.</p>
            </div>
          </li>
        </ul>
      </article>
    </section>

    <section id="Document_metadata" class="main-section">
      <header>
        <h2>Document metadata</h2>
      </header>
      <article>
        <p>Metadata contains information about the page. This includes information about styles, scripts and data to help software (search engines, browsers, etc.) use and render the page. Metadata for styles and scripts may be defined in the page or link to another file that has the information.</p>
        <ul class="elements">
          <li class="element">
            <div class="element__code">
              <code>&lt;base&gt;</code>
            </div>
            <div class="element__description">
              <p>The <strong>HTML <code>&lt;base&gt;</code> element</strong> specifies the base URL to use for all relative URLs contained within a document. There can be only one <code>&lt;base&gt;</code> element in a document.</p>
            </div>
          </li>
          <li class="element">
            <div class="element__code">
              <code>&lt;head&gt;</code>
            </div>
            <div class="element__description">
              <p>The <strong>HTML <code>&lt;head&gt;</code> element</strong> contains machine-readable information (metadata) about the document, like its <a href="https://developer.mozilla.org/en-US/docs/Web/HTML/Element/title" target="_blank">title</a>, <a href="https://developer.mozilla.org/en-US/docs/Web/HTML/Element/script" target="_blank">scripts</a>, and <a href="https://developer.mozilla.org/en-US/docs/Web/HTML/Element/style" target="_blank">style sheets</a>.</p>
            </div>
          </li>
          <li class="element">
            <div class="element__code">
              <code>&lt;link&gt;</code>
            </div>
            <div class="element__description">
              <p>The <strong>HTML External Resource Link element (<code>&lt;link&gt;</code>)</strong> specifies relationships between the current document and an external resource. This element is most commonly used to link to stylesheets, but is also used to establish site icons (both "favicon" style icons and mobile home screen/app icons) among other things.</p>
            </div>
          </li>
          <li class="element">
            <div class="element__code">
              <code>&lt;meta&gt;</code>
            </div>
            <div class="element__description">
              <p>The <strong>HTML <code>&lt;meta&gt;</code> element</strong> represents metadata that cannot be represented by other HTML meta-related elements, like <code><a href="https://developer.mozilla.org/en-US/docs/Web/HTML/Element/base" target="_blank">&lt;base&gt;</a></code>, <code>&lt;link&gt;</code>, <code>&lt;script&gt;</code>, <code>&lt;style&gt;</code> or <code>&lt;title&gt;</code>.</p>
            </div>
          </li>
          <li class="element">
            <div class="element__code">
              <code>&lt;style&gt;</code>
            </div>
            <div class="element__description">
              <p>The <strong>HTML <code>&lt;style&gt;</code> element</strong> contains style information for a document, or part of a document.</p>
            </div>
          </li>
          <li class="element">
            <div class="element__code">
              <code>&lt;title&gt;</code>
            </div>
            <div class="element__description">
              <p>The <strong>HTML Title element (<code>&lt;title&gt;</code>)</strong> defines the document's title that is shown in a browser's title bar or a page's tab.</p>
            </div>
          </li>
        </ul>
      </article>
    </section>

    <section id="Sectioning_root" class="main-section">
      <header>
        <h2>Sectioning root</h2>
      </header>
      <article>
        <ul class="elements">
          <li class="element">
            <div class="element__code"><code>&lt;body&gt;</code></div>
            <div class="element__description">
              <p>The <strong>HTML <code>&lt;body&gt;</code> Element</strong> represents the content of an HTML document. There can be only one <code>&lt;body&gt;</code> element in a document.</p>
            </div>
          </li>
        </ul>
      </article>
    </section>

    <section id="Content_sectioning" class="main-section">
      <header>
        <h2>Content sectioning</h2>
      </header>
      <article>
        <p>Content sectioning elements allow you to organize the document content into logical pieces. Use the sectioning elements to create a broad outline for your page content, including header and footer navigation, and heading elements to identify sections of content.</p>
        <ul class="elements">
          <li class="element">
            <div class="element__code"><code>&lt;address&gt;</code></div>
            <div class="element__description">
              <p>The <strong>HTML <code>&lt;address&gt;</code> element</strong> indicates that the enclosed HTML provides contact information for a person or people, or for an organization.</p>
            </div>
          </li>
          <li class="element">
            <div class="element__code"><code>&lt;article&gt;</code></div>
            <div class="element__description">
              <p>The <strong>HTML <code>&lt;article&gt;</code> element</strong> represents a self-contained composition in a document, page, application, or site, which is intended to be independently distributable or reusable</p>
            </div>
          </li>
          <li class="element">
            <div class="element__code"><code>&lt;aside&gt;</code></div>
            <div class="element__description">
              <p>The <strong>HTML <code>&lt;aside&gt;</code> element</strong> represents a portion of a document whose content is only indirectly related to the document's main content.</p>
            </div>
          </li>
          <li class="element">
            <div class="element__code"><code>&lt;footer&gt;</code></div>
            <div class="element__description">
              <p>The HTML <code>&lt;footer&gt;</code> element represents a footer for its nearest sectioning content or sectioning root element. A footer typically contains information about the author of the section, copyright data or links to related documents.</p>
            </div>
          </li>
          <li class="element">
            <div class="element__code"><code>&lt;header&gt;</code></div>
            <div class="element__description">
              <p>The <strong>HTML <code>&lt;header&gt;</code> element</strong> represents introductory content, typically a group of introductory or navigational aids. It may contain some heading elements but also a logo, a search form, an author name, and other elements.</p>
            </div>
          </li>
          <li class="element">
            <div class="element__code"><code>&lt;h1&gt;</code>, <code>&lt;h2&gt;</code>, <code>&lt;h3&gt;</code>, <code>&lt;h4&gt;</code>, <code>&lt;h5&gt;</code>, <code>&lt;h6&gt;</code></div>
            <div class="element__description">
              <p>The <strong>HTML <code>&lt;h1&gt;</code>–<code>&lt;h6&gt;</code> elements</strong> represent six levels of section headings. <code>&lt;h1&gt;</code> is the highest section level and <code>&lt;h6&gt;</code> is the lowest.</p>
            </div>
          </li>
          <li class="element">
            <div class="element__code"><code>&lt;hgroup&gt;</code></div>
            <div class="element__description">
              <p>The HTML <code>&lt;hgroup&gt;</code> element represents a multi-level heading for a section of a document. It groups a set of <code>&lt;h1&gt;</code>–<code>&lt;h6&gt;</code> elements.</p>
            </div>
          </li>
          <li class="element">
            <div class="element__code"><code>&lt;main&gt;</code></div>
            <div class="element__description">
              <p>The HTML <code>&lt;main&gt;</code> element represents the dominant content of the <code>&lt;body&gt;</code> of a document. The main content area consists of content that is directly related to or expands upon the central topic of a document, or the central functionality of an application.</p>
            </div>
          </li>
          <li class="element">
            <div class="element__code"><code>&lt;nav&gt;</code></div>
            <div class="element__description">
              <p>The <strong>HTML <code>&lt;nav&gt;</code> element</strong> represents a section of a page whose purpose is to provide navigation links, either within the current document or to other documents. Common examples of navigation sections are menus, tables of contents, and indexes.</p>
            </div>
          </li>
          <li class="element">
            <div class="element__code"><code>&lt;section&gt;</code></div>
            <div class="element__description">
              <p>The <strong>HTML <code>&lt;section&gt;</code> element</strong> represents a standalone section — which doesn't have a more specific semantic element to represent it — contained within an HTML document.</p>
            </div>
          </li>
        </ul>
      </article>
    </section>

    <section id="Image_and_multimedia" class="main-section">
      <header>
        <h2>Image and multimedia</h2>
      </header>
      <article>
          <ul class="elements">
            <li class="element">
              <div class="element__code"><code>&lt;area&gt;</code></div>
              <div class="element__description">
                <p>The <strong>HTML <code>&lt;area&gt;</code> element</strong> defines a hot-spot region on an image, and optionally associates it with a hypertext link. This element is used only within a <code>&lt;map&gt;</code> element.</p>
              </div>
            </li>
            <li class="element">
              <div class="element__code"><code>&lt;audio&gt;</code></div>
              <div class="element__description">
                <p>The <strong>HTML <code>&lt;audio&gt;</code> element</strong> is used to embed sound content in documents. It may contain one or more audio sources, represented using the src attribute or the <code>&lt;source&gt;</code> element: the browser will choose the most suitable one. It can also be the destination for streamed media, using a <a href="https://developer.mozilla.org/en-US/docs/Web/API/MediaStream" target="_blank">MediaStream</a>.</p>
              </div>
            </li>
            <li class="element">
              <div class="element__code"><code>&lt;img&gt;</code></div>
              <div class="element__description">
                <p>The <strong>HTML <code>&lt;img&gt;</code> element</strong> embeds an image into the document. It is a <a href="https://developer.mozilla.org/en-US/docs/Web/CSS/Replaced_element" target="_blank">replaced element</a>.</p>
              </div>
            </li>
            <li class="element">
              <div class="element__code"><code>&lt;map&gt;</code></div>
              <div class="element__description">
                <p>The <strong>HTML <code>&lt;map&gt;</code> element</strong> is used with <code>&lt;area&gt;</code> elements to define an image map (a clickable link area).</p>
              </div>
            </li>
            <li class="element">
              <div class="element__code"><code>&lt;track&gt;</code></div>
              <div class="element__description">
                <p>The <strong>HTML <code>&lt;track&gt;</code> element</strong> is used as a child of the media elements <code>&lt;audio&gt;</code> and <code>&lt;video&gt;</code>. It lets you specify timed text tracks (or time-based data), for example to automatically handle subtitles. The tracks are formatted in <a href="https://developer.mozilla.org/en-US/docs/Web/API/Web_Video_Text_Tracks_Format" target="_blank">WebVTT format</a> (.vtt files) — Web Video Text Tracks or <a href="https://w3c.github.io/ttml2/index.html" target="_blank">Timed Text Markup Language (TTML)</a>.</p>
              </div>
            </li>
            <li class="element">
              <div class="element__code"><code>&lt;video&gt;</code></div>
              <div class="element__description">
                <p>The <strong>HTML Video element (<code>&lt;video&gt;</code>)</strong> embeds a media player which supports video playback into the document.</p>
              </div>
            </li>
          </ul>
      </article>
    </section>
  </main>
</body>
</html>